Summary:	Pidgin protocol plugin to connect to MS Office Communicator
Name:		pidgin-sipe
Version:	1.22.0
Release:	2
License:	GPL v2+
Group:		Applications/Networking
URL:		http://sipe.sourceforge.net/
Source0:	http://downloads.sourceforge.net/sipe/%{name}-%{version}.tar.xz
# Source0-md5:	dc3fda407d4550544a1076d5d144f95c
Patch0:		%{name}-optional_valgrind.patch
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext
BuildRequires:	glib2-devel >= 2.28.0
BuildRequires:	gmime-devel
BuildRequires:	gstreamer-devel
BuildRequires:	heimdal-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnice-devel >= 0.1.0
BuildRequires:	libpurple-devel >= 2.8.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	nss-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	libpurple-protocol-sipe = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various
products:

- Microsoft Lync Server 2010
- Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
- Microsoft Live Communications Server (LCS 2003/2005)
- Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

This package provides the icon set for Pidgin.

%package -n libpurple-protocol-sipe
Summary:	Libpurple protocol plugin to connect to MS Office Communicator
License:	GPL v2+
Group:		Applications/Networking

%description -n libpurple-protocol-sipe
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various
products:

- Microsoft Lync Server 2010
- Microsoft Office Communications Server (OCS 2007/2007 R2 and newer)
- Microsoft Live Communications Server (LCS 2003/2005)
- Reuters Messaging

This package provides the protocol plugin for libpurple clients.

%prep
%setup -q
%patch -P0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-krb5 \
	--enable-purple \
	--disable-telepathy
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -delete -print

rm -r $RPM_BUILD_ROOT%{_pixmapsdir}/pidgin/protocols/{24,32}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libpurple-protocol-sipe -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/purple-2/libsipe.so

%files
%defattr(644,root,root,755)
%doc AUTHORS
%{_datadir}/appdata/pidgin-sipe.metainfo.xml
%{_pixmapsdir}/pidgin/protocols/*/sipe.*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pidgin-sipe.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 078dbaf
- Release 2 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c8542a3
- Fix applying patches.

* Sun Feb 05 2017 Jan Palus <atler@pld-linux.org> d00c9da
- up to 1.22.0

* Wed Jun 15 2016 Jan Palus <atler@pld-linux.org> a78b7b0
- up to 1.21.1

* Sat Apr 23 2016 Jan Palus <atler@pld-linux.org> cacd475
- up to 1.21.0

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> 6ea7c32
- rel 3

* Sun Mar 20 2016 Jan Palus <atler@pld-linux.org> 1edec0b
- new patch to make valgrind optional even if present

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> a499eee
- release 2 (by relup.sh)

* Sat Oct 24 2015 Jan Palus <atler@pld-linux.org> 06d8af5
- up to 1.20.1

* Sun Aug 30 2015 Jan Palus <atler@pld-linux.org> 4f621e2
- up to 1.20.0

* Mon Aug 17 2015 Elan Ruusamäe <glen@delfi.ee> d7362ec
- tar.xz deps

* Sat Aug 15 2015 Jan Palus <atler@pld-linux.org> d43725c
- up to 1.19.1

* Thu Sep 26 2013 Jan Palus <jan.palus@gmail.com> 255ac82
- up to 1.17.0

* Mon Jul 15 2013 Jan Palus <jan.palus@gmail.com> 7ec7a6b
- up to 1.16.1
- icons of size 24/32 no longer used by pidgin

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> 6139b60
- unify libpurple package naming

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> b1a8f04
- new, version 1.13.3

